export const SIDEBAR = {
  en: [
    { text: 'Setup', header: true },
    { text: 'Getting Started', link: 'getting-started' },
    { text: 'Quickstart', link: 'quick-start' },
    { text: 'Installation', link: 'installation' },
    { text: 'Themes', link: 'themes' },
    { text: 'Astro vs. X', link: 'comparing-astro-vs-other-tools' },
    { text: 'Migrate to v0.21', link: 'migration/0.21.0' },

    { text: 'Basics', header: true },
    { text: 'Project Structure', link: 'core-concepts/project-structure' },
    { text: 'Component Syntax', link: 'core-concepts/astro-components' },
    { text: 'Pages', link: 'core-concepts/astro-pages' },
    { text: 'Layouts', link: 'core-concepts/layouts' },
    { text: 'Routing', link: 'core-concepts/routing' },
    { text: 'Partial Hydration', link: 'core-concepts/component-hydration' },

    { text: 'Guides', header: true },
    { text: 'Styling & CSS', link: 'guides/styling' },
    { text: 'Markdown', link: 'guides/markdown-content' },
    { text: 'Debugging', link: 'guides/debugging' },
    { text: 'Data Fetching', link: 'guides/data-fetching' },
    { text: 'Pagination', link: 'guides/pagination' },
    { text: 'RSS', link: 'guides/rss' },
    { text: 'Supported Imports', link: 'guides/imports' },
    { text: 'Aliases', link: 'guides/aliases' },
    { text: 'Environment Variables', link: 'guides/environment-variables' },
    { text: 'Deploy to the web', link: 'guides/deploy' },
    { text: 'Publish to npm', link: 'guides/publish-to-npm' },

    { text: 'Reference', header: true },
    { text: 'Built-In Components', link: 'reference/builtin-components' },
    { text: 'API Reference', link: 'reference/api-reference' },
    { text: 'CLI Reference', link: 'reference/cli-reference' },
    {
      text: 'Configuration Reference',
      link: 'reference/configuration-reference',
    },
    { text: 'Renderer Reference', link: 'reference/renderer-reference' },
  ],
  de: [
    { text: 'Willkommen', header: true },
    { text: 'Einführung', link: 'de/getting-started' },
    { text: 'Schnellstart', link: 'de/quick-start' },
  ],
  nl: [
    { text: 'Welkom', header: true },
    { text: 'Beginnen', link: 'nl/getting-started' },
    { text: 'Snel start', link: 'nl/quick-start' },
  ],
  fi: [
    { text: 'Tervetuloa', header: true },
    { text: 'Aloittaminen', link: 'fi/getting-started' },
    { text: 'Pika-aloitus', link: 'fi/quick-start' },
    { text: 'Asennus', link: 'fi/installation' },
  ],
  es: [
    { text: 'Configuración', header: true },
    { text: 'Empezando', link: 'es/getting-started' },
    { text: 'Comienzo rápido', link: 'es/quick-start' },
    { text: 'Instalación', link: 'es/installation' },
    { text: 'Astro vs. X', link: 'es/comparing-astro-vs-other-tools' },

    { text: 'Fundamentos', header: true },
    {
      text: 'Estructura del Proyecto',
      link: 'es/core-concepts/project-structure',
    },
    {
      text: 'Sintaxis del Componente',
      link: 'es/core-concepts/astro-components',
    },
    { text: 'Páginas', link: 'es/core-concepts/astro-pages' },
    { text: 'Maquetas', link: 'es/core-concepts/layouts' },
    { text: 'Enrutamiento', link: 'es/core-concepts/routing' },
    {
      text: 'Hidratación parcial',
      link: 'es/core-concepts/component-hydration',
    },

    { text: 'Guías', header: true },
    { text: 'Estilo y CSS', link: 'es/guides/styling' },
    { text: 'Markdown', link: 'es/guides/markdown-content' },
    { text: 'Depuración', link: 'es/guides/debugging' },
    { text: 'Obtención de datos', link: 'es/guides/data-fetching' },
    { text: 'Paginación', link: 'es/guides/pagination' },
    { text: 'RSS', link: 'es/guides/rss' },
    { text: 'Importaciones admitidas', link: 'es/guides/imports' },
    { text: 'Alias', link: 'es/guides/aliases' },
    { text: 'Desplegar en la web', link: 'es/guides/deploy' },
    { text: 'Publicar en npm', link: 'es/guides/publish-to-npm' },

    { text: 'Referencia', header: true },
    {
      text: 'Componentes incorporados',
      link: 'es/reference/builtin-components',
    },
    { text: 'Referencia de API', link: 'es/reference/api-reference' },
    { text: 'Referencia de CLI', link: 'es/reference/cli-reference' },
    {
      text: 'Referencia de configuración',
      link: 'es/reference/configuration-reference',
    },
    {
      text: 'Referencia de renderizador',
      link: 'es/reference/renderer-reference',
    },
  ],
  'zh-CN': [
    { text: '起步', header: true },
    { text: '入门指南', link: 'zh-CN/getting-started' },
    { text: '快速入门', link: 'zh-CN/quick-start' },
    { text: '安装指南', link: 'zh-CN/installation' },
    { text: '模板样例', link: 'zh-CN/examples' },
    {
      text: 'Astro 对比其他框架',
      link: 'zh-CN/comparing-astro-vs-other-tools',
    },
  ],
  'zh-TW': [
    { text: '設定', header: true },
    { text: '新手上路', link: 'zh-TW/getting-started' },
    { text: '快速開始', link: 'zh-TW/quick-start' },
    { text: '安裝', link: 'zh-TW/installation' },
  ],
  bg: [
    { text: 'Главни', header: true },
    { text: 'Започваме!', link: 'bg/getting-started' },
  ],
  fr: [
    { text: 'Bienvenue', header: true },
    { text: 'Bien démarrer', link: 'fr/getting-started' },
    { text: 'Démarrage rapide', link: 'fr/quick-start' },
    { text: 'Installation', link: 'fr/installation' },
  ],
  bn: [
    { text: 'সেটআপ', header: true },
    { text: 'শুরু করুন', link: 'bn/getting-started' },
  ],
  kr: [
    { text: '환영합니다', header: true },
    { text: '시작하기', link: 'kr/getting-started' },
  ],
  ar: [
    { text: 'التهيئة', header: true },
    { text: 'باشر البدأ', link: 'ar/getting-started' },
  ],
  da: [
    { text: 'Velkommen', header: true },
    { text: 'Introduktion', link: 'da/getting-started' },
  ],
  ja: [
    { text: 'セットアップ', header: true },
    { text: 'はじめに', link: 'ja/getting-started' },
    { text: 'クイックスタート', link: 'ja/quick-start' },
    { text: 'インストール', link: 'ja/installation' },
    { text: 'テーマ', link: 'ja/themes' },
  ],
  ru: [
    { text: 'Введение', header: true },
    { text: 'Начало работы', link: 'ru/getting-started' },
    { text: 'Быстрый старт', link: 'ru/quick-start' },
  ],
};

export const SITE = {
  title: 'Astro Documentation',
  description: 'Build faster websites with less client-side Javascript.',
};

export const OPEN_GRAPH = {
  locale: 'en_US',
  image: {
    src: '/default-og-image.png?v=1',
    alt:
      'astro logo on a starry expanse of space,' +
      ' with a purple saturn-like planet floating in the right foreground',
  },
  twitter: 'astrodotbuild',
};
