---
layout: ~/layouts/MainLayout.astro
title: Come iniziare
description: Una guida introduttiva ad Astro.
---

Astro è un generatore moderno di siti statici. Scopri di più su Astro dalla [nostra homepage](https://astro.build/) o dal nostro [post di rilascio](https://astro.build/blog/introducing-astro). Questa pagina è una panoramica della documentazione di Astro e di tutte le risorse correlate.

## Prova Astro

Il modo più semplice per provare Astro è lanciare `npm init astro` in una nuova cartella nella tua macchina. La procedura guidata da CLI ti assisterà nell'avvio di un nuovo progetto Astro.

Puoi iniziare da subito con Astro in 5 passi semplici, attraverso la nostra [Guida Rapida all'Avvio](/quick-start).

In alternativa, leggi la nostra [Guida all'Installazione](/installation) per una panoramica più completa su come impostare Astro.

### Esempi

Se preferisci imparare Astro tramite esempi, dai un'occhiata alla nostra [libreria completa degli esempi](https://github.com/snowpackjs/astro/tree/main/examples) su GitHub.

Puoi testare uno qualsiasi di questi esempi sulla tua macchina locale lanciando `npm init astro` con la flag `--template` da CLI. La flag `--template` supporta anche template di terze parti della community.

```bash
# Avvia la procedura guidata e usa questo template ufficiale
npm init astro -- --template [NOME_ESEMPIO_UFFICIALE]
# Avvia la procedura guidata e usa questo template della community
npm init astro -- --template [UTENTE_GITHUB]/[NOME_REPO]
npm init astro -- --template [UTENTE_GITHUB]/[NOME_REPO]/percorso/al/esempio
```

### Online Playgrounds

Se ti interessa provare Astro in un browser, puoi utilizzare un code editor online come Stackblitz, CodeSandbox, Gitpod o GitHub Codespaces. Clicca sul link "Open in Stackblitz" in uno dei nostri esempi nella [libreria degli esempi](https://github.com/snowpackjs/astro/tree/main/examples). In alternativa, [clicca qui](https://stackblitz.com/fork/astro) per avviare un nuovo progetto in [Stackblitz](https://stackblitz.com/fork/astro).

## Impara Astro

In Astro arrivano persone di tutti i tipi, con il loro background di conoscenze e stili d'apprendimento diversi. Sia che tu preferisca un approccio più teorico o più pratico, speriamo troverai questa sezione utile.

- Se preferisci **imparare facendo cose**, puoi iniziare con la nostra [libreria degli esempi](https://github.com/snowpackjs/astro/tree/main/examples).
- Se preferisci **imparare i concetti passo-passo**, puoi iniziare da [guide e concetti base](/core-concepts/project-structure).

Come ogni tecnologia poco familiare, Astro si presenta con una leggera curva di apprendimento. Tuttavia, con un po' di pratica e pazienza, sappiamo che ci riuscirai in poco tempo.

## Imparare la Sintassi `.astro`

Quando inizierai ad imparare Astro, vedrai molti file usare l'estensione `.astro`. Questa è la **Sintassi dei Componenti di Astro**: è un file speciale simile all'HTML che Astro usa per i template. È stato progettato per risultare familiare a chiunque abbia avuto esperienze con l'HTML o JSX.

La nostra utile guida ai [componenti Astro](/core-concepts/astro-components) ti aiuterà a comprendere la sintassi Astro, ed è il modo migliore per impararla.

### Reference API

Questa parte della documentazione è utile quando si vuole comprendere meglio una particolare API di Astro. Ad esempio, la [Reference di Configurazione](/reference/configuration-reference) elenca tutte le possibili opzioni di configurazione possibili. La [Reference dei componenti incorporati](/reference/builtin-components) elenca tutti i componenti principali disponibili, come `<Markdown />` e `<Code />`.

### Documentazione a versioni

Questa documentazione fa riferimento sempre all'ultima versione stabile di Astro. Una volta raggiunta la v1.0, inseriremo la possibilità di navigare tra le versioni della documentazione.

## Rimani aggiornato

L'account Twitter [@astrodotbuild](https://twitter.com/astrodotbuild) è la fonte ufficiale del team Astro per rimanere aggiornati.

Pubblichiamo anche annunci sui rilasci nella nostra [community Discord](https://astro.build/chat) nel canale #announcements.

Non tutte le release di Astro saranno accompagnate da un post sul blog, ma puoi sempre trovare un changelog dettagliato per ogni release nel [file `CHANGELOG.md` nella repository Astro](https://github.com/snowpackjs/astro/blob/main/packages/astro/CHANGELOG.md).

## Manca Qualcosa?

Se manca qualcosa nella documentazione o trovi qualche parte confusionaria, per favore [segnala un problema sulla documentazione](https://github.com/snowpackjs/astro/issues/new/choose) con i tuoi suggerimenti per migliorarla, oppure twitta all'account Twitter [@astrodotbuild](https://twitter.com/astrodotbuild). Ci piace ascoltarvi!

## Crediti

Questa guida introduttiva è basata originariamente sulla guida introduttiva di [React](https://reactjs.org/).
