/** Construct sitemap.xml given a set of URLs */
export function generateSitemap(pages: string[]): string {
  // TODO: find way to respect <link rel="canonical"> URLs here

  // TODO: find way to exclude pages from sitemap

  const urls = [...pages]; // copy just in case original copy is needed
  urls.sort((a, b) => a.localeCompare(b, 'en', { numeric: true })); // sort alphabetically so sitemap is same each time
  let sitemap = `<?xml version="1.0" encoding="UTF-8"?><urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">`;
  for (const url of urls) {
    sitemap += `<url><loc>${url}</loc></url>`;
  }
  sitemap += `</urlset>\n`;
  return sitemap;
}
